View a markdown version of this page

StartMedicalCodingJob - Amazon Connect Health

StartMedicalCodingJob

Starts an asynchronous job that generates medical codes (ICD-10 and CPT) for clinical text. Call GetMedicalCodingJob to check the status of the job. When the job succeeds, Amazon Connect Health writes the results to the output Amazon S3 location.

To tailor the codes to your organization, specify an ACTIVE medical coding dataset in the Domain. If you don't specify a dataset, the job uses the general medical coding knowledge base.

Medical coding jobs are in preview release and are subject to change.

Request Syntax

POST /domain/domainId/medical-coding-job HTTP/1.1 Content-type: application/json { "clientToken": "string", "datasetId": "string", "encounterContext": { "afterHours": boolean, "encounterDate": "string", "encounterDurationMinutes": number, "encounterReason": "string", "encounterType": "string" }, "outputDataConfig": { "s3OutputPath": "string" }, "patientContext": { "dateOfBirth": "string", "insurance": "string", "sex": "string", "status": "string" }, "text": "string" }

URI Request Parameters

The request uses the following URI parameters.

domainId

The unique identifier of the parent Domain.

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

Unique, case-sensitive identifier that you provide to ensure the idempotency of the request.

Type: String

Pattern: .*[\s\S]*\S[\s\S]*.*

Required: No

datasetId

The unique identifier of an ACTIVE medical coding dataset in the Domain to code against. If you don't specify a dataset, the job uses the general medical coding knowledge base.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]{1,64}

Required: No

encounterContext

Encounter context for the job. Providing this information can improve the accuracy of the medical codes.

Type: MedicalCodesEncounterContext object

Required: No

outputDataConfig

The output configuration for the job.

Type: MedicalCodingOutputDataConfig object

Required: Yes

patientContext

Patient context for the job. Providing this information can improve the accuracy of the medical codes.

Type: MedicalCodesPatientContext object

Required: No

text

The clinical text to generate medical codes for, such as a clinical note.

Type: String

Pattern: .*[\s\S]*\S[\s\S]*.*

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "creationTime": "string", "jobArn": "string", "jobId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

creationTime

The date and time that the medical coding job was created.

Type: Timestamp

jobArn

The Amazon Resource Name (ARN) of the medical coding job.

Type: String

Length Constraints: Minimum length of 20. Maximum length of 200.

Pattern: arn:aws[-a-z]*:health-agent:[-a-z0-9]+:[0-9]{12}:domain/[-a-zA-Z0-9-]+/medical-coding-job/[-a-zA-Z0-9_/.]+

jobId

The unique identifier of the medical coding job.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 36.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This error is thrown when the client does not supply proper credentials to the API.

HTTP Status Code: 401

ConflictException

This error is thrown when a resource update is no longer valid due to assumptions about initial state changing.

HTTP Status Code: 409

InternalServerException

This error is thrown when a transient error causes our API to fail.

HTTP Status Code: 500

ResourceNotFoundException

This error is thrown when the requested resource is not found.

HTTP Status Code: 404

ThrottlingException

This error is thrown when the client exceeds the allowed request rate.

HTTP Status Code: 429

ValidationException

This error is thrown when the client supplies invalid input to the API.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: